package ro.ieval.unical;

import android.view.View;
import android.view.ViewGroup;

final class Utils {
	public static void setEnabledRecursively(final View view, final boolean enabled){
		view.setEnabled(enabled);
		if(view instanceof ViewGroup){
			final ViewGroup group=(ViewGroup) view;
			for(int i=0;i<group.getChildCount();i++)
				setEnabledRecursively(group.getChildAt(i), enabled);
		}
	}
}
